<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<searchConfiguration>
    <geoField>_integration.coordinates.point</geoField>
    <geoField>_integration.coordinates.polygon</geoField>
    <geoField>_integration.coordinates.box</geoField>
    <scriptScore>
        <source>int count = 0; 
        if(!doc['_integration.external_ids.viaf'].empty) { count+=1; } 
        if(!doc['_integration.external_ids.gnd'].empty) { count+=1; }
        if(!doc['_integration.external_ids.wikidata'].empty) { count+=1; }
        if(!doc['_integration.external_ids.osm'].empty) { count+=1; }
        if(!doc['_integration.external_ids.geonames'].empty) { count+=1; } 
        return (1 + (count*1))
        </source>
    </scriptScore>
    <suggestions>
        <PhraseSuggestion name="name_suggestion">
            <field>_integration.names.name</field>
            <maxErrors>2</maxErrors>
            <size>3</size>
            <realWordErrorLikelihood>0.95</realWordErrorLikelihood>
            <seperator> </seperator>
            <confidence>1.0</confidence>
            <shardSize>5</shardSize>
            <forceUnigrams>true</forceUnigrams>
        </PhraseSuggestion>
    </suggestions>
    <aggregations>
        <TermAggregation name="country">
            <field>_integration.country_code</field>
            <minDocCount>1</minDocCount>
            <size>10</size>
            <shardMinDocCount>0</shardMinDocCount>
        </TermAggregation>
        <TermAggregation name="indices">
            <field>_index</field>
            <minDocCount>1</minDocCount>
            <size>10</size>
            <shardMinDocCount>0</shardMinDocCount>
        </TermAggregation>
        <TermAggregation name="type">
            <field>_integration.type</field>
            <minDocCount>1</minDocCount>
            <size>10</size>
            <shardMinDocCount>0</shardMinDocCount>
        </TermAggregation>
    </aggregations>
    <searchQueries>
        <QueryStringQuery name="name">
            <field>
                <name>_integration.names.name</name>
                <boost>5.0</boost>
            </field>
            <fuzziness_enabled>false</fuzziness_enabled>
            <fuzzyMaxExpansions>10</fuzzyMaxExpansions>
            <defaultOperator>and</defaultOperator>
        </QueryStringQuery>
        <QueryStringQuery name="names">
            <field>
                <name>_integration.names.variant_names</name>
                <boost>1.0</boost>
            </field>
            <fuzziness_enabled>false</fuzziness_enabled>
            <fuzzyMaxExpansions>10</fuzzyMaxExpansions>
            <defaultOperator>and</defaultOperator>
        </QueryStringQuery>
        <WildcardQuery name="linkids">
            <field>
                <name>_integration.external_ids.viaf</name>
                <boost>1.0</boost>
            </field>
            <field>
                <name>_integration.external_ids.orcid</name>
                <boost>1.0</boost>
            </field>
            <field>
                <name>_integration.external_ids.gnd</name>
                <boost>1.0</boost>
            </field>
            <field>
                <name>_integration.external_ids.osm</name>
                <boost>1.0</boost>
            </field>
            <field>
                <name>_integration.external_ids.wikidata</name>
                <boost>1.0</boost>
            </field>
            <field>
                <name>_integration.url</name>
                <boost>2.0</boost>
            </field>
            <caseInsensitive>false</caseInsensitive>
            <prefix>*</prefix>
            <postfix></postfix>
        </WildcardQuery>
        <TermQuery name="id-query">
            <field>
                <name>_id</name>
                <boost>10.0</boost>
            </field>
            <caseInsensitive>false</caseInsensitive>
        </TermQuery>
    </searchQueries>
    <aliasLink>
        <index>gnd</index>
        <field>_integration.external_ids.gnd</field>
    </aliasLink>
    <aliasLink>
        <index>wikidata</index>
        <field>_integration.external_ids.wikidata</field>
    </aliasLink>
    <aliasLink>
        <index>geonames</index>
        <field>_integration.external_ids.geonames</field>
    </aliasLink>
    <aliasLink>
        <index>osm</index>
        <field>_integration.external_ids.osm</field>
    </aliasLink>
</searchConfiguration>
